

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/oom_kill.c |    7 +------
 1 files changed, 1 insertion(+), 6 deletions(-)

diff -puN mm/oom_kill.c~mm-fix-several-oom-killer-bugs-fix mm/oom_kill.c
--- 25/mm/oom_kill.c~mm-fix-several-oom-killer-bugs-fix	Thu Jan 27 13:56:58 2005
+++ 25-akpm/mm/oom_kill.c	Thu Jan 27 13:57:19 2005
@@ -198,12 +198,7 @@ static void __oom_kill_task(task_t *p)
 	p->time_slice = HZ;
 	p->memdie = 1;
 
-	/* This process has hardware access, be more careful. */
-	if (cap_t(p->cap_effective) & CAP_TO_MASK(CAP_SYS_RAWIO)) {
-		force_sig(SIGTERM, p);
-	} else {
-		force_sig(SIGKILL, p);
-	}
+	force_sig(SIGKILL, p);
 }
 
 static struct mm_struct *oom_kill_task(task_t *p)
_
